GDB (xrefs)

Public Attributes | List of all members
libunwind_descr Struct Reference

`#include "ia64-libunwind-tdep.h"`

## Public Attributes
int(* | gdb2uw )(int)
int(* | uw2gdb )(int)
int(* | is_fpreg )(int)
void * | accessors
void * | special_accessors

## Detailed Description

Definition at line 39 of file ia64-libunwind-tdep.h.

## Member Data Documentation

## ◆ accessors

void* libunwind_descr::accessors

Definition at line 44 of file ia64-libunwind-tdep.h.

Referenced by libunwind_frame_cache(), libunwind_frame_set_descr(), libunwind_frame_sniffer(), and libunwind_sigtramp_frame_sniffer().

## ◆ gdb2uw

int(* libunwind_descr::gdb2uw) (int)

Definition at line 41 of file ia64-libunwind-tdep.h.

Referenced by libunwind_frame_cache(), libunwind_frame_prev_register(), libunwind_frame_set_descr(), and libunwind_get_reg_special().

## ◆ is_fpreg

int(* libunwind_descr::is_fpreg) (int)

Definition at line 43 of file ia64-libunwind-tdep.h.

Referenced by libunwind_frame_prev_register(), libunwind_frame_set_descr(), and libunwind_get_reg_special().

## ◆ special_accessors

void* libunwind_descr::special_accessors

Definition at line 45 of file ia64-libunwind-tdep.h.

Referenced by libunwind_frame_set_descr(), and libunwind_get_reg_special().

## ◆ uw2gdb

int(* libunwind_descr::uw2gdb) (int)

Definition at line 42 of file ia64-libunwind-tdep.h.

Referenced by libunwind_frame_prev_register(), and libunwind_frame_set_descr().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ia64-libunwind-tdep.h